Skip to content

Create a new label

Request

Creates a new label with the provided attributes. Labels can be regular labels or groups.

Bodyapplication/json
labelobjectrequired
POST
/rest/v2/labels
curl -i -X POST \
  https://api.rhythms.ai/rest/v2/labels \
  -H 'Content-Type: application/json' \
  -d '{
    "label": {
      "name": "string",
      "description": null,
      "parent_uuid": "string",
      "is_group": false,
      "color": null
    }
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

namestringrequired

Name

is_groupbooleanrequired

Is group

Default:false
parent_uuidstring

Parent uuid

Default:null
labelings_countnumberrequired

Labelings count

Default:0
descriptionstring

Description

Default:null
creator_uuidstring

Creator uuid

Default:null
colorstring

Color

Default:null
Response
{
  "uuid": "string",
  "name": "string",
  "is_group": false,
  "parent_uuid": null,
  "labelings_count": 0,
  "description": null,
  "creator_uuid": null,
  "color": null
}